[INFO] fetching crate ms_pac 0.0.4...
[INFO] documenting ms_pac-0.0.4 against beta-2020-10-09 for beta-1.48-rustdoc-1
[INFO] extracting crate ms_pac 0.0.4 into /workspace/builds/worker-2/source
[INFO] validating manifest of crates.io crate ms_pac 0.0.4 on toolchain beta-2020-10-09
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "read-manifest" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] started tweaking crates.io crate ms_pac 0.0.4
[INFO] finished tweaking crates.io crate ms_pac 0.0.4
[INFO] tweaked toml for crates.io crate ms_pac 0.0.4 written to /workspace/builds/worker-2/source/Cargo.toml
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "generate-lockfile" "--manifest-path" "Cargo.toml" "-Zno-index-update", kill_on_drop: false }`
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "fetch" "--locked" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] [stderr]  Downloading crates ...
[INFO] [stderr]   Downloaded ms_samr v0.0.2
[INFO] [stderr]   Downloaded ms_adts v0.0.1
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-2/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-2/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] 5810943e4e4c435626a4931b4c1fe8f7e67f621949351f7aa8cddc988f898046
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "5810943e4e4c435626a4931b4c1fe8f7e67f621949351f7aa8cddc988f898046", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "5810943e4e4c435626a4931b4c1fe8f7e67f621949351f7aa8cddc988f898046", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "5810943e4e4c435626a4931b4c1fe8f7e67f621949351f7aa8cddc988f898046", kill_on_drop: false }`
[INFO] [stdout] 5810943e4e4c435626a4931b4c1fe8f7e67f621949351f7aa8cddc988f898046
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-2/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-2/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "doc" "--frozen" "--no-deps" "--document-private-items" "--message-format=json", kill_on_drop: false }`
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] [stdout] baa14f5a9d68f3d85b4313feb35a37e3367c72a04af3d97dd90e643db9cc9598
[INFO] running `Command { std: "docker" "start" "-a" "baa14f5a9d68f3d85b4313feb35a37e3367c72a04af3d97dd90e643db9cc9598", kill_on_drop: false }`
[INFO] [stderr]     Checking ms_dtyp v0.0.3
[INFO] [stderr]     Checking ms_adts v0.0.1
[INFO] [stderr]  Documenting ms_pac v0.0.4 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `RFC4120`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:22
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                      ^^^^^^^ the module `pac_signature_data` contains no item named `RFC4120`
[INFO] [stdout]   |
[INFO] [stdout]   = note: `#[warn(broken_intra_doc_links)]` on by default
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4757`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:36
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                                    ^^^^^^^ the module `pac_signature_data` contains no item named `RFC4757`
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]  --> src/pac_signature_data.rs:6:22
[INFO] [stdout]   |
[INFO] [stdout] 6 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]   |                      ^^^^^^^ the module `pac_signature_data` contains no item named `RFC3962`
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3962`
[INFO] [stdout]   --> src/pac_signature_data.rs:10:22
[INFO] [stdout]    |
[INFO] [stdout] 10 | /// As specified in [RFC3962] section 7.
[INFO] [stdout]    |                      ^^^^^^^ the module `pac_signature_data` contains no item named `RFC3962`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4120`
[INFO] [stdout]  --> src/pac_signature_data.rs:1:22
[INFO] [stdout]   |
[INFO] [stdout] 1 | /// As specified in [RFC4120] and [RFC4757] section 4.
[INFO] [stdout]   |                      ^^^^^^^ the module `pac_signature_data` contains no item named `RFC4120`
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 5 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 2.04s
[INFO] running `Command { std: "docker" "inspect" "baa14f5a9d68f3d85b4313feb35a37e3367c72a04af3d97dd90e643db9cc9598", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "baa14f5a9d68f3d85b4313feb35a37e3367c72a04af3d97dd90e643db9cc9598", kill_on_drop: false }`
[INFO] [stdout] baa14f5a9d68f3d85b4313feb35a37e3367c72a04af3d97dd90e643db9cc9598
